import {View, Text} from 'react-native';
import React from 'react';
import {
  responsiveFontSize,
  responsiveHeight,
  responsiveWidth,
} from 'react-native-responsive-dimensions';

const CustomSocialResponsiveButton = ({
  width,
  height,
  bgColor,
  title,
  onPress,
  titleColor,
  titleSize,
}) => {
  return (
    <View
      style={{
        width: responsiveWidth(width),
        height: responsiveHeight(height),
        backgroundColor: bgColor ? bgColor : '#000',
        alignSelf: 'center',
        justifyContent:'center',alignItems:'center'
      }}>
      <Text
        style={{
          color: titleColor ? titleColor : '#fff',
          fontSize: titleSize
            ? responsiveFontSize(titleSize)
            : responsiveFontSize(2),
        }}>
        {title ? title : 'Button'}
      </Text>
    </View>
  );
};

export default CustomSocialResponsiveButton;
